// object.c
// 移動物体の処理

#include <math.h>
#include "object.h"

/* 物体の初期化 */
void InitObject(Object *obj,
  double px, double py, double vx, double vy, double sx, double sy,
  int life)
{
  obj->px = px; obj->py = py;
  obj->vx = vx; obj->vy = vy;
  obj->sx = sx; obj->sy = sy;
  obj->life = life;
}

/* 物体の運動 */
void MoveObject(Object *obj)
{
  obj->px += obj->vx;
  obj->py += obj->vy;
}

/* 衝突の判定 */
int ChkHit(Object *obj1, Object *obj2)
{
  if (fabs(obj1->px - obj2->px) > (obj1->sx + obj2->sx)) return (0);
  if (fabs(obj1->py - obj2->py) > (obj1->sy + obj2->sy)) return (0);
  return (1);
}

